Name: InDependence
Version: 1.0
Release: 11
Summary: RPM Dependency Tracker
Group: Applications/System
Source: http://www.cse.ogi.edu/DISC/projects/independence/%{name}_%{version}.tar.gz
Patch: InDependence-1.0-rpm4.patch
URL: http://www.cse.ogi.edu/DISC/projects/independence/
Copyright: Artistic License
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

%description
InDependence is a suite of tools (well two :-) designed to help RPM
packagers and system administrators deal with the dependencies between
RPM packages.  InDependence has two major components:

Dep:  This tool is for the RPM packager that identifies external files
    or RPM packages that a program uses.

RPMTC:  "RPM Transitive Closure".  This tool is for the RPM system
    administrator.  "rpmtc foo.rpm" will transitively compute the
    *entire* set of RPMs necessary to support the foo.rpm package, i.e.
    if foo.rpm depends on bar.rpm, and bar.rpm depends on baz.rpm,
    RPMTC will report both bar and baz.

%prep
%setup -q -n %{name}_%{version}
%patch -p1 -b .rpm4

%build
make

%install
install -m 755 -d ${RPM_BUILD_ROOT}%{_bindir} 
install -m 755 dep/dep ${RPM_BUILD_ROOT}%{_bindir}/dep
install -m 755 dep/swrapper.pl ${RPM_BUILD_ROOT}%{_bindir}/swrapper.pl
install -m 755 rpmtc/rpmtc ${RPM_BUILD_ROOT}%{_bindir}/rpmtc
install -m 755 rpmtc/rpmdep-pipe ${RPM_BUILD_ROOT}%{_bindir}/rpmdep-pipe
install -m 755 -d ${RPM_BUILD_ROOT}%{_mandir}/man1 
install -m 755 dep/dep.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/dep.1
install -m 755 rpmtc/rpmtc.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/rpmtc.1

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Mon Jan 22 2001 Than Ngo <than@redhat.com>
- updated to 1.0-11 (Bug #14630)

* Thu Nov 16 2000 Nils Philippsen <nils@redhat.de>
- fixes for RPM 4 (ignore dependencies a'la "rpmlib(...)"), does
  someone know how to handle this better?
- replaced last remaining occurrence of %%{_prefix}/bin by
  %%{_bindir}
- remove excessive comments in spec file
- remove Packager: so people complain to us if there's something wrong with
  packaging (not to misattribute the origins of this spec file: the original
  spec file was made by Steve Beattie <steve@wirex.net>)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- final rebuild for 7.0.

* Thu Jun 15 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- use rpm macros

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix vendor

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- strip binaries
- fixed so that man pages are gzipped by RPM

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- changed group

* Thu Sep 09 1999 Steve Beattie <steve@wirex.net>
- First creation
